// watch all your go git repos
package main

import 	(
	"go.wit.com/gui/gui"
	"go.wit.com/gui/gadgets"
	"go.wit.com/gui/gadgets/repostatus"
)

// the main window nodes
var myGui *gui.Node
var reposwin *gadgets.BasicWindow
var reposbox *gui.Node
var reposgrid *gui.Node
var reposgroup *gui.Node

var allrepos []*repo

type repo struct {
	path string
	lasttagrev string
	lasttag string
	tags []string

	pLabel *gui.Node // path label
	bLabel *gui.Node // branch label
	lastLabel *gui.Node // last tagged version label
	vLabel *gui.Node // version label
	// tagsDrop *gui.Node // list of all tags
	dirtyLabel *gui.Node // git state (dirty or not?)

	masterName *gui.Node // the master branch name
	masterVersion *gui.Node // the master branch version
	develName *gui.Node // the devel branch name
	develVersion *gui.Node // the devel branch version
	userName *gui.Node // the jcarr branch name
	userVersion *gui.Node // the jcarr branch version

	cButton *gui.Node // commit button
	pButton *gui.Node // push button

	status *repostatus.RepoStatus
}
